Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.ml.data
Interface MLSequenceSet

All Superinterfaces:
  Iterable<MLDataPair>, MLDataSet

All Known Implementing Classes:
  BasicMLSequenceSet

    public interface MLSequenceSet

extends MLDataSet

A sequence set is a collection of data sets. Where each individual data set is one "unbroken sequence" within the sequence set. This allows individual observations to occur individually, indicating a break between them. The sequence set, itself, is a data set, so it can be used with any Encog trainer. However, not all trainers are aware of sequence sets. Further, some machine learning methods are unaffected by them. Sequence sets are typically used with Hidden Markov Models (HMM)'s.

Method Summary
`void` | `add(MLDataSet sequence)` Add a new sequence.
`MLDataSet` | `getSequence(int i)` Get an individual sequence.
`int` | `getSequenceCount()`
`Collection<MLDataSet>` | `getSequences()`
`void` | `startNewSequence()` Cause a "break" in the data by creating a the beginning of a new sequence.

Methods inherited from interface org.encog.ml.data.MLDataSet
`add, add, add, close, get, getIdealSize, getInputSize, getRecord, getRecordCount, isSupervised, openAdditional, size`

Methods inherited from interface java.lang.Iterable
`iterator`

Method Detail

### startNewSequence

    void startNewSequence()

  Cause a "break" in the data by creating a the beginning of a new sequence.

### getSequenceCount

    int getSequenceCount()

  Returns:
    Get a count of the number of sequences.

### getSequence

    MLDataSet getSequence(int i)

  Get an individual sequence.

  Parameters:
    `i` - The index of the sequence.
  Returns:
    The sequence.

### getSequences

    Collection<MLDataSet> getSequences()

  Returns:
    A list of all of the sequences.

### add

    void add(MLDataSet sequence)

  Add a new sequence.

  Parameters:
    `sequence` - The sequence to add.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.